Package Gnumed :: Package timelinelib :: Module timer :: Class Timer |
[frames] | no frames]

# Class Timer

source code

    object --+
             |
            Timer

A general timer that can measure the elapsed time between a start and end time.

The timer function used, depends on os (as in timeit.py Python standard library)

* On Windows, the best timer is time.clock() * On most other platforms the best timer is time.time()

Instance Methods
__init__(self, timer=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code
start(self) Start the timer. | source code
end(self) Stop the timer. | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| elapsed_ms Return the elapsed time in milliseconds between start and end.
Inherited from `object`: `__class__`

Method Details

### __init__(self, timer=None) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

Property Details

### elapsed_ms Return the elapsed time in milliseconds between start and end. Get Method: unreachable.elapsed_ms(self) - Return the elapsed time in milliseconds between start and end.